import 'package:json_annotation/json_annotation.dart';

import '../../../api_params.dart';

part 'react_message_params.g.dart';

@JsonSerializable()
class ReactMessageParams extends ApiParams {
  String reaction;

  ReactMessageParams(this.reaction);

  factory ReactMessageParams.fromJson(Map<String, dynamic> json) =>
      _$ReactMessageParamsFromJson(json);
  Map<String, dynamic> toJson() => _$ReactMessageParamsToJson(this);
}
